#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1)
%global		bname	OpenAL
#-----------------------------------------------------------------------------
Name		:	openal-soft
Version		:	1.23.1
Release		:	14.8.0.0%{?dist}
Summary		:	Open Audio Library
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/kcat/openal-soft

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	cmake
BuildRequires	:	ffmpeg-devel
BuildRequires	:	gcc-c++
BuildRequires	:	mesa-devel
BuildRequires	:	qt
BuildRequires	:	pulseaudio
BuildRequires	:	SDL2
#-----------------------------------------------------------------------------
%description
OpenAL Soft is an LGPL-licensed, cross-platform, software
implementation of the OpenAL 3D audio API. It's forked from
the open-sourced Windows version available originally from
openal.org's SVN repository (now defunct).
OpenAL provides capabilities for playing audio in a virtual 3D
environment. Distance attenuation, doppler shift, and directional
sound emitters are among the features handled by the API.
More advanced effects, including air absorption, occlusion,
and environmental reverb, are available through the EFX extension.
It also facilitates streaming audio, multi-channel buffers,
and audio capture.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/alffplay
%{_bindir}/%{sname}-info
%{_libdir}/lib%{sname}.so.1*
%{_datadir}/%{sname}/presets/*.ambdec
%{_datadir}/%{sname}/presets/presets.txt
%{_datadir}/%{sname}/alsoftrc.sample
%{_datadir}/%{sname}/hrtf/*.mhr

#=============================================================================
%Package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Developmental libraries and header files required for
developing or compiling software which links to the
openal library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/AL/*.h
%{_libdir}/lib%{sname}.so
%{_libdir}/pkgconfig/%{sname}.pc
%{_libdir}/cmake/%{bname}/%{bname}Config*.cmake
%{_libdir}/cmake/%{bname}/%{bname}Targets*.cmake

#=============================================================================
%Package		examples
Summary		:	Sample applications for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		examples
%{summary}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%{_bindir}/alhrtf
%{_bindir}/allatency
#{_bindir}/alffplay
%{_bindir}/alloopback
%{_bindir}/almultireverb
%{_bindir}/alplay
%{_bindir}/alrecord
%{_bindir}/alreverb
%{_bindir}/alstream
%{_bindir}/altonegen

#=============================================================================
%Package		qt
Summary		:	Qt frontend for configuring OpenAL Soft

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		qt
The %{name}-qt package contains alsoft-config, a Qt-based tool
for configuring OpenAL features.

#-----------------------------------------------------------------------------
%files			qt
%defattr(-,root,root,-)
%{_bindir}/alsoft-config

#=============================================================================
%prep
%setup -q -n %{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D LIB_INSTALL_DIR=%{_libdir}			\
	-D ALSOFT_CPUEXT_NEON:BOOL=OFF			\
	-D ALSOFT_INSTALL_UTILS:BOOL=ON			\
	-W no-dev 					\
	.

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

 
#-----------------------------------------------------------------------------
%changelog

